
package de.ivu.elect.presentation.wahl.form;

import java.util.List;

import de.ivu.elect.business.wahl.entity.Wahlart;
import de.ivu.elect.business.wahl.entity.WahlartConstants;
import de.ivu.elect.presentation.AbstractEntitySelectOneMenuProperty;

/**
 *  on 04.06.2015.
 */
public abstract class AbstractWahlartEntitySelectOneMenuProperty extends AbstractEntitySelectOneMenuProperty<Wahlart> {

  public AbstractWahlartEntitySelectOneMenuProperty(List<Wahlart> values, boolean hasNoSelectionItem) {
    super(values, hasNoSelectionItem);
  }

  @Override
  protected String getMessageKeyEntityEinzahl() {
    return WahlartConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public String getItemLabel(Wahlart wahlart) {
    return wahlart.getNameGuiEindeutig();
  }
}
